# Uses of Class
com.ocient.auth.OktaAuthenticators.OktaNativeSSOToken

Packages that use OktaAuthenticators.OktaNativeSSOToken
Package
Description
com.ocient.auth
com.ocient.jdbc

## Uses of OktaAuthenticators.OktaNativeSSOToken in com.ocient.auth

Methods in com.ocient.auth that return OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static OktaAuthenticators.OktaNativeSSOToken`
OktaAuthenticators.OktaNativeSSOToken.`decrypt(byte[] passphrase, InputStream input)`
Decrypts the `OktaAuthenticators.OktaNativeSSOToken` using the secret provided
Methods in com.ocient.auth that return types with arguments of type OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static OpenIDAuthenticators.AuthorizationCodeWithPKCEClient.AuthorizationCodeGrant<OktaAuthenticators.OktaNativeSSOToken>`
OktaAuthenticators.OktaNativeSSOClient.`createAuthorizationCodeGrant(OpenIDAuthenticators.AuthorizationCodeWithPKCEClient client, ClientWireProtocol.OpenIDAuthenticator authenticator)`
Returns a `OpenIDAuthenticators.AuthorizationCodeWithPKCEClient.AuthorizationCodeGrant` that yields an `OktaAuthenticators.OktaNativeSSOToken` on authorization success.
`static OpenIDAuthenticators.DeviceAuthorizationGrant<OktaAuthenticators.OktaNativeSSOToken>`
OktaAuthenticators.OktaNativeSSOClient.`createDeviceAuthorizationGrant(ClientWireProtocol.OpenIDAuthenticator authenticator)`
Returns a `OpenIDAuthenticators.DeviceAuthorizationGrant` that yields an `OktaAuthenticators.OktaNativeSSOToken` on authorization success.
Methods in com.ocient.auth with parameters of type OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static OpenIDAuthenticators.OAuthToken`
OktaAuthenticators.OktaNativeSSOClient.`exchangeForOAuthToken(OktaAuthenticators.OktaNativeSSOToken oktaToken)`
Sends a request to the /token endpoint for the Authorization Server that issued this device token.
`static void`
OktaAuthenticators.OktaNativeSSOClient.`revoke(OktaAuthenticators.OktaNativeSSOToken oktaToken)`
Sends a request to the /revoke endpoint for the Authorization Server that issued this device token.

## Uses of OktaAuthenticators.OktaNativeSSOToken in com.ocient.jdbc

Methods in com.ocient.jdbc that return OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static OktaAuthenticators.OktaNativeSSOToken`
XGConnection.`createOktaNativeSSOToken(ClientWireProtocol.OpenIDAuthenticator authenticator, Properties properties)`
Methods in com.ocient.jdbc that return types with arguments of type OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static Optional<OktaAuthenticators.OktaNativeSSOToken>`
XGConnection.`readOktaNativeSSOToken(Path tokenFilePath)`
Methods in com.ocient.jdbc with parameters of type OktaAuthenticators.OktaNativeSSOToken
Modifier and Type
Method
Description
`static void`
XGConnection.`writeOktaNativeSSOToken(Path tokenFilePath, OktaAuthenticators.OktaNativeSSOToken token)`